.bg-none {
  background: none !important;
}
.bg-color-none {
  background-color: none !important;
}

/*==============================*/
/* ========= Palette ========= */
/*==============================*/
.bg-inherit {
  background-color: inherit !important;
}

/* White */
.color-white,
.color-white-hover:hover {
  color: #fff !important;
}
.bg-white,
.bg-white-hover:hover {
  background-color: #fff !important;
}
.border-color-white,
.border-color-white-hover:hover {
  border-color: #fff !important;
}

/* bg-black */
.color-black,
.color-black-hover:hover {
  color: #0c1419 !important;
}
.bg-black,
.bg-black-hover:hover {
  background-color: #0c1419 !important;
}
.border-color-black,
.border-color-black-hover:hover {
  border-color: #0c1419 !important;
}

/* bg-izumrud-thin */
.color-izumrud-thin,
.color-izumrud-thin-hover:hover {
  color: #99cdd0 !important;
}
.bg-izumrud-thin,
.bg-izumrud-thin-hover:hover {
  background-color: #99cdd0 !important;
}
.border-color-izumrud-thin,
.border-color-izumrud-thin-hover:hover {
  border-color: #99cdd0 !important;
}

/* bg-izumrud-light */
.color-izumrud-light,
.color-izumrud-light-hover:hover {
  color: #daeded !important;
}
.bg-izumrud-light,
.bg-izumrud-light-hover:hover {
  background-color: #daeded !important;
}
.border-color-izumrud-light,
.border-color-izumrud-light-hover:hover {
  border-color: #daeded !important;
}

/* bg-izumrud */
.color-izumrud,
.color-izumrud-hover:hover {
  color: #319a9f !important;
}
.bg-izumrud,
.bg-izumrud-hover:hover {
  background-color: #319a9f !important;
}
.border-color-izumrud,
.border-color-izumrud-hover:hover {
  border-color: #319a9f !important;
}

/* bg-izumrud-dark */
.color-izumrud-dark,
.color-izumrud-dark-hover:hover {
  color: #247478 !important;
}
.bg-izumrud-dark,
.bg-izumrud-dark-hover:hover {
  background-color: #247478 !important;
}
.border-color-izumrud-dark,
.border-color-izumrud-dark-hover:hover {
  border-color: #247478 !important;
}

/* bg-izumrud-black */
.color-izumrud-black,
.color-izumrud-black-hover:hover {
  color: #05383b !important;
}
.bg-izumrud-black,
.bg-izumrud-black-hover:hover {
  background-color: #05383b !important;
}
.border-color-izumrud-black,
.border-color-izumrud-black-hover:hover {
  border-color: #05383b !important;
}

/* bg-orange */
.color-orange,
.color-orange-hover:hover {
  color: #e39929 !important;
}
.bg-orange,
.bg-orange-hover:hover {
  background-color: #e39929 !important;
}
.border-color-orange,
.border-color-orange-hover:hover {
  border-color: #e39929 !important;
}

/* bg-orange-dark */
.color-orange-dark,
.color-orange-dark-hover:hover {
  color: #d48104 !important;
}
.bg-orange-dark,
.bg-orange-dark-hover:hover {
  background-color: #d48104 !important;
}
.border-color-orange-dark,
.border-color-orange-dark-hover:hover {
  border-color: #d48104 !important;
}

/* bg-loxone */
.color-loxone,
.color-loxone-hover:hover {
  color: #69c350 !important;
}
.bg-loxone,
.bg-loxone-hover:hover {
  background-color: #69c350 !important;
}
.border-color-loxone,
.border-color-loxone-hover:hover {
  border-color: #69c350 !important;
}

/* bg-loxone-dark */
.color-loxone-dark,
.color-loxone-dark-hover:hover {
  color: #43992b !important;
}
.bg-loxone-dark,
.bg-loxone-dark-hover:hover {
  background-color: #43992b !important;
}
.border-color-loxone-dark,
.border-color-loxone-dark-hover:hover {
  border-color: #43992b !important;
}

/* red */
.color-red,
.color-red-hover:hover {
  color: #9f3131 !important;
}
.bg-red,
.bg-red-hover:hover {
  background-color: #9f3131 !important;
}
.border-color-red,
.border-color-red-hover:hover {
  border-color: #9f3131 !important;
}

/*==============================*/
/* ========= Scroll Bar ========= */
/*==============================*/
.scroll_block,
body {
  -ms-overflow-style: auto;
  scrollbar-color: #0c1419 transparent;
  scrollbar-width: thin;
}
#body_scroll_style::-webkit-scrollbar-thumb,
.scroll_block::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.2);
}
.scroll_block::-webkit-scrollbar-track,
#body_scroll_style::-webkit-scrollbar-track,
.scroll_block::-webkit-scrollbar-track-piece,
#body_scroll_style::-webkit-scrollbar-track-piece {
  background-color: transparent;
}
.scroll_block::-webkit-scrollbar-corner,
#body_scroll_style::-webkit-scrollbar-corner {
  background-color: transparent;
}
#body_scroll_style::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
.scroll_block.w4px::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
.scroll_block.w3px::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}
.scroll_block.w2px::-webkit-scrollbar {
  width: 2px;
  height: 2px;
}
.scroll_block.w1px::-webkit-scrollbar {
  width: 1px;
  height: 1px;
}
.scroll_block.w0px::-webkit-scrollbar {
  width: 0px;
  height: 0px;
}
/* scroll for textarea */
textarea::-webkit-scrollbar {
  width: 2px;
}

/*==============================*/
/* =========== SHADOW =========== */
/*==============================*/
.shadow:after {
  content: "";
  transition: 0.3s;
  position: absolute;
  display: block;
  z-index: 0;
  height: 100%;
  width: 100%;
  background: transparent;
  left: 0;
}
.bottom.shadow:after {
  bottom: 0px;
}
.top.shadow:after {
  top: 0px;
}
.shadow-10.shadow:after {
  box-shadow: 0 10px 10px #0c1419;
}
.shadow-20.shadow:after {
  box-shadow: 0 10px 20px #0c1419;
}
.shadow-30.shadow:after {
  box-shadow: 0 10px 30px #0c1419;
}
.shadow-40.shadow:after {
  box-shadow: 0 10px 40px #0c1419;
}
.shadow-50.shadow:after {
  box-shadow: 0 10px 50px #0c1419;
}
